Package org.zkoss.zkmax.bind.impl

## Class BindELContextEx

- java.lang.Object
- - org.zkoss.zel.ELContext
  - - org.zkoss.xel.zel.XelELContext
    - - org.zkoss.bind.xel.zel.BindELContext
      - - org.zkoss.zkmax.bind.impl.BindELContextEx

-     public class BindELContextEx
      extends BindELContext

  An extension of BindELContext to do a lazy initiating EL expression construction.
  Since:
    8.0.0
  Author:
    jumperchen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindELContextEx​(XelContext xelc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ELResolver` | `newELResolver​(XelContext xelc)` |

    - ### Methods inherited from class org.zkoss.bind.xel.zel.BindELContext

      `addDependsOnTracking, addDependsOnTracking, addDependsOnTrackings, addModel, addNotifys, addNotifys, addNotifys, appendFields, getAttribute, getBindContext, getBinding, getModelName, getNotifys, getNotifys, ignoreTracker, isBracket, isImmutable, pathToString, prepareProperty, putContext, removeAttribute, removeModel, setAttribute, toNodeString, toNodeString`

    - ### Methods inherited from class org.zkoss.xel.zel.XelELContext

      `getELResolver, getFunctionMapper, getVariableMapper, getXelContext`

    - ### Methods inherited from class org.zkoss.zel.ELContext

      `addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getContext, getEvaluationListeners, getImportHandler, getLambdaArgument, getLocale, isLambdaArgument, isPropertyResolved, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, setLocale, setPropertyResolved, setPropertyResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindELContextEx

          public BindELContextEx​(XelContext xelc)

  - ### Method Detail

    - #### newELResolver

          protected ELResolver newELResolver​(XelContext xelc)

      Overrides:
        `newELResolver` in class `BindELContext`